<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die;
jimport( 'joomla.version' );
// import Joomla Categories Library
jimport('joomla.application.categories');

require_once dirname(__FILE__).'/helper.php';
$lang = JFactory::getLanguage();
$app  = JFactory::getApplication();
$type=$params->get('social_type');
$width=$params->get('width',150);
$height=$params->get('height',150);
$item=new stdClass();
$item->id=$module->id;
$limit=$params->get('limit');
$item->responsive=$params->get('responsive',0);
$item->region=$params->get('region');
$item->bg_color=$params->get('bg_color');
$item->border_color=$params->get('border_color');
$item->border_stroke=$params->get('border_stroke');
$item->map_bordercolor=$params->get('map_bordercolor');
$item->ina_color=$params->get('ina_color');
$item->act_color=$params->get('act_color');
$item->marker_size=$params->get('marker_size');
$item->map_action=$params->get('map_action');
$item->ina_color=$params->get('ina_color');
$item->display_mode="text";
if($type=="Events")
{
$filter=$params->get('category_event');    
}
else
{
    $filter=$params->get('user_type');
}
$item->places=json_encode(modjoomsocialLinkymapHelper::getData($type,$limit,$filter));

require JModuleHelper::getLayoutPath('mod_community_linkymap', $params->get('layout', 'default'));

